org.apache.cassandra.index.sasi.disk

## Class OnDiskIndex.OnDiskSuperBlock

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.OnDiskIndex.OnDiskSuperBlock

Enclosing class:
  OnDiskIndex

    protected class OnDiskIndex.OnDiskSuperBlock
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`OnDiskSuperBlock(MappedBuffer buffer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`RangeIterator<java.lang.Long,Token>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OnDiskSuperBlock

    public OnDiskSuperBlock(MappedBuffer buffer)

### Method Detail

#### iterator

    public RangeIterator<java.lang.Long,Token> iterator()